darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Repository.InternalTypes

Synopsis

- data Repository p = Repo !String ![DarcsFlag] !RepoFormat !(RepoType p)
- data RepoType p = DarcsRepository !Pristine Cache
- data Pristine
  - = NoPristine !String
  - | PlainPristine !String
  - | HashedPristine
- extractCache :: Repository p -> Cache
- extractOptions :: Repository p -> [DarcsFlag]
- modifyCache :: RepoPatch p => Repository p -> (Cache -> Cache) -> Repository p

# Documentation

data Repository p

Constructors

Repo !String ![DarcsFlag] !RepoFormat !(RepoType p) |

Instances

Show (Repository p) |

data RepoType p

Constructors

DarcsRepository !Pristine Cache |

Instances

Show (RepoType p) |

data Pristine

Constructors

NoPristine !String |
PlainPristine !String |
HashedPristine |

Instances

Show Pristine |

extractCache :: Repository p -> Cache

extractOptions :: Repository p -> [DarcsFlag]

modifyCache :: RepoPatch p => Repository p -> (Cache -> Cache) -> Repository p

`modifyCache` `repository function` modifies the cache of `repository` with `function`, remove duplicates and sort the results with `compareByLocality`.